Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 525882 - dev-embedded/arduino version bump
Summary: dev-embedded/arduino version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 9 votes (vote)
Assignee: Embedded Gentoo Team
URL:
Whiteboard:
Keywords:
: 574448 575842 (view as bug list)
Depends on:
Blocks: google-code-down
  Show dependency tree
 
Reported: 2014-10-19 17:34 UTC by Krzysiek
Modified: 2018-03-06 19:59 UTC (History)
28 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
diff from arduino-1.0.5.ebuild to arduino-1.0.6.ebuild (arduino-1.0.6.ebuild.diff,905 bytes, patch)
2015-01-15 08:58 UTC, Zac Medico
Details | Diff
arduino-1.6.5 ebuild (arduino-1.6.5.ebuild,3.43 KB, text/plain)
2015-11-19 22:02 UTC, Amadeusz Sławiński
Details
build.xml patch (arduino-1.6.5-build.xml.patch,30.44 KB, patch)
2015-11-19 22:03 UTC, Amadeusz Sławiński
Details | Diff
patch for some OS X speific code (arduino-1.6.5-Do-Not-ThinkDifferent.patch,832 bytes, patch)
2015-11-19 22:03 UTC, Amadeusz Sławiński
Details | Diff
arduino 1.6.6 ebuild (arduino-1.6.6.ebuild,3.43 KB, text/plain)
2015-11-19 22:11 UTC, Amadeusz Sławiński
Details
1.6.6 build.xml patch (arduino-1.6.6-build.xml.patch,26.24 KB, patch)
2015-11-19 22:12 UTC, Amadeusz Sławiński
Details | Diff
1.6.6 scrip pach (arduino-1.6.6-script.patch,580 bytes, patch)
2015-11-19 22:12 UTC, Amadeusz Sławiński
Details | Diff
arduino-1.6.6.ebuild (arduino-1.6.6.ebuild,3.48 KB, text/plain)
2015-12-10 23:23 UTC, Amadeusz Sławiński
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Krzysiek 2014-10-19 17:34:59 UTC
Please bump dev-embedded/arduino-1.0.6

http://arduino.cc/en/Main/ReleaseNotes#v1.0.6
Comment 1 Zac Medico gentoo-dev 2015-01-15 08:58:32 UTC
Created attachment 394012 [details, diff]
diff from arduino-1.0.5.ebuild to arduino-1.0.6.ebuild

I used the 1.0.6 tar.gz source file from here:

	https://github.com/arduino/Arduino/releases

For some reason, the source tarballs on github are around 220 megabytes in size, which is much larger that 40 megabyte arduino-1.0.5-src.tar.gz found here:

	https://code.google.com/p/arduino/downloads/list
Comment 2 Julien Papasian 2015-02-11 08:41:52 UTC
Arduino 1.6.0 was released yesterday
http://arduino.cc/en/Main/ReleaseNotes
Comment 3 Kelly Price 2015-04-19 15:30:04 UTC
Hit the above release notes again.  It's up to 1.6.3.

Do be careful, though.  There's a bit of politics and legal wrangling.  In short, Arduino LLC (designers and software) is being sued by Arduino SRL (hardware manufacturers) over the Arduino trademark... and it's getting rather messy with everyone being caught in the middle.  A good overview is here: http://hackaday.com/2015/04/15/arduino-vs-arduino-the-resellers-conundrum/
Comment 4 Jonas Stein gentoo-dev 2015-11-19 20:52:04 UTC
https://github.com/arduino/Arduino/tree/1.6.6
Comment 5 SpanKY gentoo-dev 2015-11-19 21:44:01 UTC
if any dev feels like bumping this, feel free.  the 1.6.6 tarballs look like they're back down in size (or at least, they're ~70MB).
Comment 6 Amadeusz Sławiński 2015-11-19 22:02:59 UTC
Created attachment 417398 [details]
arduino-1.6.5 ebuild
Comment 7 Amadeusz Sławiński 2015-11-19 22:03:23 UTC
Created attachment 417400 [details, diff]
build.xml patch
Comment 8 Amadeusz Sławiński 2015-11-19 22:03:54 UTC
Created attachment 417402 [details, diff]
patch for some OS X speific code
Comment 9 Amadeusz Sławiński 2015-11-19 22:11:46 UTC
Created attachment 417404 [details]
arduino 1.6.6 ebuild
Comment 10 Amadeusz Sławiński 2015-11-19 22:12:10 UTC
Created attachment 417406 [details, diff]
1.6.6 build.xml patch
Comment 11 Amadeusz Sławiński 2015-11-19 22:12:36 UTC
Created attachment 417408 [details, diff]
1.6.6 scrip pach
Comment 12 Amadeusz Sławiński 2015-11-19 22:21:11 UTC
So attached is something I've made up recently based on gpo.zugaina.org versions (they have 1.5.8)
Those require some more work, but I was able to build and run arduino with them.
Haven't checked yet how they work with board, will do this later.

Why both 1.6.5 and 1.6.6?

According to https://www.arduino.cc/en/Main/ReleaseNotes
1.6.6 seems to require Java 8 , which seems to be only available in binary version (and indeed it didn't seem to build with icedtea)
So I would like to also have 1.6.5 in tree for using with icedtea java implementation.
Comment 13 Amadeusz Sławiński 2015-12-10 23:23:24 UTC
Created attachment 418954 [details]
arduino-1.6.6.ebuild

Small fix for 1.6.6 ebuild (added arduino-builder to installed things)

I still need to get cross compiler to work for proper build tests (#567878)

I also noticed problems with installing custom boards both on 1.6.5 and 1.6.6, but it may be because board is bit old and scripts are not updated...
Comment 14 Kelly Price 2015-12-11 03:38:40 UTC
Which board are you trying to use?  I saw that they changed how they handle new boards in 1.6.  Adafruit's Feather and Trinket Pros are added by adding a XML based web repository to Arduino's configuration, restarting, and activating the repo.
Comment 15 Amadeusz Sławiński 2015-12-11 05:15:16 UTC
I'm trying to install "Intel i568 boards by Intel" for Galileo

The installation windows says "Error running post install script"


Here are contents of "log area":

Warning: file /home/amade/.arduino15/packages/Intel/tools/i586-poky-linux-uclibc/1.6.2+1.0/i586/sysroots/x86_64-pokysdk-linux/etc/ld.so.cache links to an absolute path /etc/ld.so.cache

Warning: file /home/amade/.arduino15/packages/Intel/tools/i586-poky-linux-uclibc/1.6.2+1.0/i586/sysroots/x86_64-pokysdk-linux/usr/libexec/i586-poky-linux-uclibc/gcc/i586-poky-linux-uclibc/4.7.2/ranlib links to an absolute path /opt/clanton-tiny/1.4.4/sysroots/x86_64-pokysdk-linux/usr/bin/i586-poky-linux-uclibc/i586-poky-linux-uclibc-ranlib

Warning: file /home/amade/.arduino15/packages/Intel/tools/i586-poky-linux-uclibc/1.6.2+1.0/i586/sysroots/x86_64-pokysdk-linux/usr/libexec/i586-poky-linux-uclibc/gcc/i586-poky-linux-uclibc/4.7.2/nm links to an absolute path /opt/clanton-tiny/1.4.4/sysroots/x86_64-pokysdk-linux/usr/bin/i586-poky-linux-uclibc/i586-poky-linux-uclibc-nm

Warning: file /home/amade/.arduino15/packages/Intel/tools/i586-poky-linux-uclibc/1.6.2+1.0/i586/sysroots/x86_64-pokysdk-linux/usr/libexec/i586-poky-linux-uclibc/gcc/i586-poky-linux-uclibc/4.7.2/strip links to an absolute path /opt/clanton-tiny/1.4.4/sysroots/x86_64-pokysdk-linux/usr/bin/i586-poky-linux-uclibc/i586-poky-linux-uclibc-strip

Warning: file /home/amade/.arduino15/packages/Intel/tools/i586-poky-linux-uclibc/1.6.2+1.0/i586/sysroots/x86_64-pokysdk-linux/usr/libexec/i586-poky-linux-uclibc/gcc/i586-poky-linux-uclibc/4.7.2/cpp links to an absolute path /opt/clanton-tiny/1.4.4/sysroots/x86_64-pokysdk-linux/usr/bin/i586-poky-linux-uclibc/i586-poky-linux-uclibc-cpp

Warning: file /home/amade/.arduino15/packages/Intel/tools/i586-poky-linux-uclibc/1.6.2+1.0/i586/sysroots/x86_64-pokysdk-linux/usr/libexec/i586-poky-linux-uclibc/gcc/i586-poky-linux-uclibc/4.7.2/ar links to an absolute path /opt/clanton-tiny/1.4.4/sysroots/x86_64-pokysdk-linux/usr/bin/i586-poky-linux-uclibc/i586-poky-linux-uclibc-ar

Warning: file /home/amade/.arduino15/packages/Intel/tools/i586-poky-linux-uclibc/1.6.2+1.0/i586/sysroots/x86_64-pokysdk-linux/usr/libexec/i586-poky-linux-uclibc/gcc/i586-poky-linux-uclibc/4.7.2/objcopy links to an absolute path /opt/clanton-tiny/1.4.4/sysroots/x86_64-pokysdk-linux/usr/bin/i586-poky-linux-uclibc/i586-poky-linux-uclibc-objcopy

Warning: file /home/amade/.arduino15/packages/Intel/tools/i586-poky-linux-uclibc/1.6.2+1.0/i586/sysroots/x86_64-pokysdk-linux/usr/libexec/i586-poky-linux-uclibc/gcc/i586-poky-linux-uclibc/4.7.2/gcc links to an absolute path /opt/clanton-tiny/1.4.4/sysroots/x86_64-pokysdk-linux/usr/bin/i586-poky-linux-uclibc/i586-poky-linux-uclibc-gcc

Warning: file /home/amade/.arduino15/packages/Intel/tools/i586-poky-linux-uclibc/1.6.2+1.0/i586/sysroots/x86_64-pokysdk-linux/usr/libexec/i586-poky-linux-uclibc/gcc/i586-poky-linux-uclibc/4.7.2/objdump links to an absolute path /opt/clanton-tiny/1.4.4/sysroots/x86_64-pokysdk-linux/usr/bin/i586-poky-linux-uclibc/i586-poky-linux-uclibc-objdump

Warning: file /home/amade/.arduino15/packages/Intel/tools/i586-poky-linux-uclibc/1.6.2+1.0/i586/sysroots/x86_64-pokysdk-linux/usr/libexec/i586-poky-linux-uclibc/gcc/i586-poky-linux-uclibc/4.7.2/ld links to an absolute path /opt/clanton-tiny/1.4.4/sysroots/x86_64-pokysdk-linux/usr/bin/i586-poky-linux-uclibc/i586-poky-linux-uclibc-ld

Warning: file /home/amade/.arduino15/packages/Intel/tools/i586-poky-linux-uclibc/1.6.2+1.0/i586/sysroots/x86_64-pokysdk-linux/usr/libexec/i586-poky-linux-uclibc/gcc/i586-poky-linux-uclibc/4.7.2/as links to an absolute path /opt/clanton-tiny/1.4.4/sysroots/x86_64-pokysdk-linux/usr/bin/i586-poky-linux-uclibc/i586-poky-linux-uclibc-as

Warning: file /home/amade/.arduino15/packages/Intel/tools/i586-poky-linux-uclibc/1.6.2+1.0/i586/sysroots/i586-poky-linux-uclibc/opt/clanton-tiny/1.4.4/sysroots/x86_64-pokysdk-linux/usr/bin/opkg links to an absolute path /opt/clanton-tiny/1.4.4/sysroots/x86_64-pokysdk-linux/usr/bin/opkg-cl

Warning: file /home/amade/.arduino15/packages/Intel/tools/i586-poky-linux-uclibc/1.6.2+1.0/i586/sysroots/i586-poky-linux-uclibc/usr/src/debug/libgcc/4.7.2-r20/build/libgcc/gthr-default.h links to an absolute path /jenkins_builder/workspace/GLLO_1.0.5-Toolchain-Linux64/yocto_build/tmp/work-shared/gcc-4.7.2-r20/gcc-4.7.2/libgcc/gthr-posix.h

Warning: file /home/amade/.arduino15/packages/Intel/tools/i586-poky-linux-uclibc/1.6.2+1.0/i586/sysroots/i586-poky-linux-uclibc/usr/src/debug/libgcc/4.7.2-r20/build/libgcc/unwind.h links to an absolute path /jenkins_builder/workspace/GLLO_1.0.5-Toolchain-Linux64/yocto_build/tmp/work-shared/gcc-4.7.2-r20/gcc-4.7.2/libgcc/unwind-generic.h

Warning: file /home/amade/.arduino15/packages/Intel/tools/i586-poky-linux-uclibc/1.6.2+1.0/i586/sysroots/i586-poky-linux-uclibc/usr/src/debug/libgcc/4.7.2-r20/build/libgcc/enable-execute-stack.c links to an absolute path /jenkins_builder/workspace/GLLO_1.0.5-Toolchain-Linux64/yocto_build/tmp/work-shared/gcc-4.7.2-r20/gcc-4.7.2/libgcc/enable-execute-stack-empty.c

Warning: file /home/amade/.arduino15/packages/Intel/tools/i586-poky-linux-uclibc/1.6.2+1.0/i586/sysroots/i586-poky-linux-uclibc/usr/src/debug/libgcc/4.7.2-r20/build/libgcc/md-unwind-support.h links to an absolute path /jenkins_builder/workspace/GLLO_1.0.5-Toolchain-Linux64/yocto_build/tmp/work-shared/gcc-4.7.2-r20/gcc-4.7.2/libgcc/config/i386/linux-unwind.h

Setting it up.../tmp/tmp.0SUEiMhrA2/relocate_sdk.sh /home/amade/.arduino15/packages/Intel/tools/i586-poky-linux-uclibc/1.6.2+1.0/i586/relocate_sdk.sh
SDK could not be set up. Relocate script failed. Abort!
find: invalid mode ‘+111’
Board Intel:i586:izmir_fd doesn't define a 'build.board' preference. Auto-set to: I586_IZMIR_FD
Board Intel:i586:izmir_fg doesn't define a 'build.board' preference. Auto-set to: I586_IZMIR_FG
Board Intel:i586:izmir_fd doesn't define a 'build.board' preference. Auto-set to: I586_IZMIR_FD
Board Intel:i586:izmir_fg doesn't define a 'build.board' preference. Auto-set to: I586_IZMIR_FG
Comment 16 Mark 2015-12-27 06:39:51 UTC
I was able to install arduino-1.6.5 using attachments 417398, 417400, and 417402. However, *400 (build.xml patch) had whitespace errors I had to work around.
Comment 17 Christian Strahl 2016-01-06 16:22:36 UTC
ARDUINO 1.6.7 released on 2015-12-17
Comment 18 Andrey A. Ugolnik 2016-02-02 18:02:43 UTC
Any updates?
Comment 19 Jonas Stein gentoo-dev 2016-02-07 00:02:21 UTC
The attached ebuild from 2015-12-10 23:23 UTC leads to dependency conflicts  virtual/jdk virtual/jre here.
Comment 20 Cj 2016-02-11 19:35:34 UTC
*** Bug 574448 has been marked as a duplicate of this bug. ***
Comment 21 Cj 2016-02-11 20:18:01 UTC
doc use flag does not work:

BUILD SUCCESSFUL
Total time: 50 seconds
>>> Source compiled.
>>> Test phase [not enabled]: dev-embedded/arduino-1.6.6

>>> Install arduino-1.6.6 into /var/tmp/portage/dev-embedded/arduino-1.6.6/image/ category dev-embedded
/usr/bin/install: cannot stat ‘/var/tmp/portage/dev-embedded/arduino-1.6.6/work/arduino-1.6.6/readme.txt’: No such file or directory
!!! dodoc: /var/tmp/portage/dev-embedded/arduino-1.6.6/work/arduino-1.6.6/readme.txt does not exist
 * ERROR: dev-embedded/arduino-1.6.6::gentoo failed (install phase):
 *   dodoc failed
 * 
 * If you need support, post the output of `emerge --info '=dev-embedded/arduino-1.6.6::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-embedded/arduino-1.6.6::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/dev-embedded/arduino-1.6.6/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-embedded/arduino-1.6.6/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-embedded/arduino-1.6.6/work/arduino-1.6.6/build/linux/work'
 * S: '/var/tmp/portage/dev-embedded/arduino-1.6.6/work/arduino-1.6.6'
 * QA Notice: file does not exist:
 * 
 * 	dodoc: /var/tmp/portage/dev-embedded/arduino-1.6.6/work/arduino-1.6.6/readme.txt does not exist
!!! When you file a bug report, please include the following information:
GENTOO_VM=icedtea-8  CLASSPATH="" JAVA_HOME="/usr/lib64/icedtea8"
JAVACFLAGS="-source 1.8 -target 1.8" COMPILER="javac"
and of course, the output of emerge --info =arduino-1.6.6

 * Messages for package dev-embedded/arduino-1.6.6:

 * ERROR: dev-embedded/arduino-1.6.6::gentoo failed (install phase):
 *   dodoc failed
 * 
 * If you need support, post the output of `emerge --info '=dev-embedded/arduino-1.6.6::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-embedded/arduino-1.6.6::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/dev-embedded/arduino-1.6.6/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-embedded/arduino-1.6.6/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-embedded/arduino-1.6.6/work/arduino-1.6.6/build/linux/work'
 * S: '/var/tmp/portage/dev-embedded/arduino-1.6.6/work/arduino-1.6.6'
 * 
 * The following package has failed to build, install, or execute postinst:
 * 
 *  (dev-embedded/arduino-1.6.6:0/0::gentoo, ebuild scheduled for merge), Log file:
 *   '/var/tmp/portage/dev-embedded/arduino-1.6.6/temp/build.log'
 *
Comment 22 Cj 2016-02-11 21:42:45 UTC
With no doc use flag the arduino 1.6.6 built and installed well.
Comment 23 Cj 2016-02-11 21:44:22 UTC
Just like in 1.0.5-r1, sketch verification tries to use avr-g++ from /bin directory somewhy:


When try to check sketch, it shows 
Arduino: 1.6.6 (Linux), Board: "Arduino/Genuino Uno"

fork/exec /bin/avr-g++: no such file or directory
Error compiling.

  This report would have more information with
  "Show verbose output during compilation"
  enabled in File > Preferences.

Maybe we need additional patch.
Comment 24 Cj 2016-02-11 22:06:29 UTC
next error is:

Arduino: 1.6.6 (Linux), Board: "Arduino/Genuino Uno"

fork/exec {runtime.tools.ctags.path}/ctags: no such file or directory
Error compiling.

  This report would have more information with
  "Show verbose output during compilation"
  enabled in File > Preferences.
Comment 25 Andrey A. Ugolnik 2016-02-27 17:36:27 UTC
/usr/share/arduino/arduino-builder -dump-prefs -logger=machine -hardware "/usr/share/arduino/hardware" -tools "/usr/share/arduino/hardware/tools/avr" -built-in-libraries "/usr/share/arduino/libraries" -libraries "/home/andrey/projects/Arduino/libraries" -fqbn=arduino:avr:uno -ide-version=10607 -build-path "/tmp/build6df9c0daf5e169e6aa9ea10542b997a3.tmp" -warnings=all -prefs=build.warn_data_percentage=75 -verbose "/usr/share/arduino/examples/01.Basics/Blink/Blink.ino"
/usr/share/arduino/arduino-builder -compile -logger=machine -hardware "/usr/share/arduino/hardware" -tools "/usr/share/arduino/hardware/tools/avr" -built-in-libraries "/usr/share/arduino/libraries" -libraries "/home/andrey/projects/Arduino/libraries" -fqbn=arduino:avr:uno -ide-version=10607 -build-path "/tmp/build6df9c0daf5e169e6aa9ea10542b997a3.tmp" -warnings=all -prefs=build.warn_data_percentage=75 -verbose "/usr/share/arduino/examples/01.Basics/Blink/Blink.ino"
"/usr/share/arduino/hardware/tools/avr/bin/avr-g++" -c -g -Os -w -std=gnu++11 -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics  -w -x c++ -E -CC -mmcu=atmega328p -DF_CPU=16000000L -DARDUINO=10607 -DARDUINO_AVR_UNO -DARDUINO_ARCH_AVR   "-I/usr/share/arduino/hardware/arduino/avr/cores/arduino" "-I/usr/share/arduino/hardware/arduino/avr/variants/standard" "/tmp/build6df9c0daf5e169e6aa9ea10542b997a3.tmp/sketch/Blink.ino.cpp" -o "/dev/null"
"/usr/share/arduino/hardware/tools/avr/bin/avr-g++" -c -g -Os -w -std=gnu++11 -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics  -w -x c++ -E -CC -mmcu=atmega328p -DF_CPU=16000000L -DARDUINO=10607 -DARDUINO_AVR_UNO -DARDUINO_ARCH_AVR   "-I/usr/share/arduino/hardware/arduino/avr/cores/arduino" "-I/usr/share/arduino/hardware/arduino/avr/variants/standard" "/tmp/build6df9c0daf5e169e6aa9ea10542b997a3.tmp/sketch/Blink.ino.cpp" -o "/dev/null"
"/usr/share/arduino/hardware/tools/avr/bin/avr-g++" -c -g -Os -w -std=gnu++11 -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics  -w -x c++ -E -CC -mmcu=atmega328p -DF_CPU=16000000L -DARDUINO=10607 -DARDUINO_AVR_UNO -DARDUINO_ARCH_AVR   "-I/usr/share/arduino/hardware/arduino/avr/cores/arduino" "-I/usr/share/arduino/hardware/arduino/avr/variants/standard" "/tmp/build6df9c0daf5e169e6aa9ea10542b997a3.tmp/sketch/Blink.ino.cpp" -o "/tmp/build6df9c0daf5e169e6aa9ea10542b997a3.tmp/preproc/ctags_target_for_gcc_minus_e.cpp"
fork/exec /usr/share/arduino/hardware/tools/avr/bin/avr-g++: no such file or directory
Error compiling.
Comment 26 Pacho Ramos gentoo-dev 2016-03-01 15:26:22 UTC
*** Bug 575842 has been marked as a duplicate of this bug. ***
Comment 27 Pál Csányi 2016-03-05 09:20:36 UTC
I just installed dev-embedded/arduino
Installed versions:  1.0.5-r1^bs(08.50.35 2016-03-05)(-doc -examples ELIBC="-FreeBSD")

When try to verify a sketch, I get error message:
/usr/libexec/gcc/avr/ld: cannot find crtatmega328p.o: No such file or directory
/usr/libexec/gcc/avr/ld: cannot find -latmega328p
collect2: error: ld returned 1 exit status

Is there a chance that this issue be solved soon?
Comment 28 Pacho Ramos gentoo-dev 2016-03-05 09:57:46 UTC
@Angelo, are you still wanting to take care of this? Otherwise, is anyone willing to proxy maintain this?
https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
Comment 29 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2016-03-05 10:25:50 UTC
(In reply to Pacho Ramos from comment #28)
> @Angelo, are you still wanting to take care of this? Otherwise, is anyone
> willing to proxy maintain this?
> https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers

I will proxy that, bacause have arduino and using its ide
Comment 30 Pál Csányi 2016-03-05 12:11:23 UTC
Altough I'm not a guru, I'm a long term GNU/Linux user.
I'm willing to help keep arduino ide maintained.
Comment 31 Pál Csányi 2016-03-05 12:12:13 UTC
And I have Arduino UNO and need Arduino IDE to teach my pupils.
Comment 32 maurerpe 2016-03-19 05:05:39 UTC
I just finished a working arduino 1.6.8 ebuild.  It uses java-8 (I tested it with icedtea compiled from the java overlay).

The bundled libs and fanout is unreal.  I unbundled as much as I could.  Many of the dependencies were already in portage, but there were several that weren't.  There is a whole bunch of ebuilds that go with it, so I put them all in an overlay on git-hub.  Of particular note: the arduino IDE is written in java, but the required arduino-builder in go.  Also, the dev-java/jssc ebuild in portage doesn't install the required .so file, so it doesn't work at all.  (I will file that under a different bug).  Additionally the overlay contains update to avr-libc (version 2.0.0) that works with gcc-5.  (reference: 570554)

The overlay is here:
https://github.com/maurerpe/arduino-overlay

I spend quite a bit of time on this, so I hope someone finds it useful.

For crossdev, I used the latest:
$ equery list cross-avr/*
 * Searching for * in cross-avr ...
[I-O] [  ] cross-avr/avr-libc-2.0.0:0
[I-O] [ -] cross-avr/binutils-2.25.1-r1:2.25.1
[I-O] [ -] cross-avr/gcc-5.3.0:5.3.0

There are many packages that are ~arch keyworded.  I have a (probably incomplete list) at the top level of the overlay in the package.keywords file.
Comment 33 Pacho Ramos gentoo-dev 2016-04-02 11:40:12 UTC
Thanks, I will CC proxy maintainers then
Comment 34 Ian Delaney (RETIRED) gentoo-dev 2016-04-10 08:21:03 UTC
For zlogene to proxy this there is no need for g-p-m. What is the status here?
Please can we have a clear declaration as to who wishes to maintain and who to proxy maintain.
Comment 35 Michael 'veremitz' Everitt 2016-05-05 17:15:04 UTC
I'd like to see this happen, the in-tree version is ancient.

Can I raise the issue that there are now two versions of the IDE depending whether you are following the arduino.cc or arduino.org 'camp'. We need to parameterise this, and decide whether to create a new separate ebuild if necessary.

I'll add my name to the proxy maintainers list if there is a lack of interest.
Comment 36 Michael 'veremitz' Everitt 2016-05-05 17:21:26 UTC
(In reply to Pacho Ramos from comment #28)
> @Angelo, are you still wanting to take care of this? Otherwise, is anyone
> willing to proxy maintain this?
> https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers

I think if they haven't replied in 60 days (nominally) we're good to add maintainers to the list, and get updates posted.
Comment 37 Ian Delaney (RETIRED) gentoo-dev 2016-05-12 06:27:22 UTC
For 1. zlogene is a member of the dev list of g-p-m.
2. Michael form here assume you can be poxied/user maintainer.
This was lodged 2014-10-19. 60 more days are not needed
Comment 38 Michael 'veremitz' Everitt 2016-05-12 14:17:11 UTC
(In reply to Ian Delaney from comment #37)
> For 1. zlogene is a member of the dev list of g-p-m.
> 2. Michael form here assume you can be poxied/user maintainer.
> This was lodged 2014-10-19. 60 more days are not needed

zlogene and I have had a conversation on IRC for this. I'll dig out the logs for details.

My point was, the existing maintainer has not responded, there is no further need to wait, ask questions, etc .. the time now, is for _action_. IIRC, zlogene is/has been busy, but will get to it as time permits. I'll give him a nudge when I see him.

Ebuild in overlay needs verifying, testing and reviewing for QA standards, then it can be committed. I'll clone and test over the next few days, assuming no blockers.
Comment 39 Michael 'veremitz' Everitt 2016-05-17 22:32:35 UTC
@maurerpe: you're a legend - I have just run through a trial emerge using your overlay, and OMG what a mess arduino has become.

I've got some feedback, and I've forked your repo, so you will see a PR in the coming days.
Comment 40 Christian Strahl 2016-08-06 13:15:07 UTC
please bump to 1.6.10

(https://github.com/arduino/Arduino/releases/tag/1.6.10)
Comment 41 Pacho Ramos gentoo-dev 2016-08-07 09:44:33 UTC
What is blocking this from being proxy maintained finally?
Comment 42 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2016-08-07 22:24:25 UTC
(In reply to Pacho Ramos from comment #41)
> What is blocking this from being proxy maintained finally?

it bundles tonn of libs and also I have some problems with avr crossdev
Comment 43 Michael 'veremitz' Everitt 2016-08-07 23:51:01 UTC
@Mikle: I think I managed to find my way through the minefield that was crossdev with avr/etc. so if you need a hand I'll tap you up on IRC.

I need to run through the dependency minefield (there were a few go packages needing adding) on a clean system, as I can't uninstall from my home PC. Most of the work has been done by maurerpe, but there's a good chance the version bump has added more deps :/

I tried to install the arduino.org package a short time ago, and this is another whole nightmare. For those who aren't aware .. the 'arduino' group split, and there are now Two 'arduino's. There are different arduino boards from each group, and the respective IDEs only support native boards. I would appreciate anyone who can shed light on getting the arduino.org package similarly torn apart suitable for inclusion in the gentoo tree.
Comment 44 Michael 'veremitz' Everitt 2016-09-06 15:42:38 UTC
I see 1.6.11 has been tagged upstream. Working on seeing what's changed.. I -think- I may have done a trial build of 1.6.10 once, but need to work through from an emerge -o or emerge -O or such-like.

Hopefully I'll have a further update by the end of the week as @mrueg has poked me :).
Comment 45 Philippe Trottier 2016-09-06 17:15:35 UTC
I have been using 1.6.11 on arm32 and so far very happy about it.
Comment 46 Michael 'veremitz' Everitt 2016-10-04 02:07:02 UTC
Alas another month skips by, and I'm still behind schedule. On the plus side, whilst my PC is testing my patience, I have now the facility to run docker containers and qemu/kvm VMs to do Gentoo ebuild testing much more robustly.

News: Arduino 1.6.12 was released 2016-09-21 .. will be testing viability of a further revbump asap.

Arduino watchers will be pleased to learn that the two Arduino organisations are forging a new partnership, and hopefully some consolidation will result, particularly a unified IDE with full compatibility. We shall wait and see.

Mrueg is on my back - so we should have some progress news shortly...
Comment 47 Philippe Trottier 2016-10-04 02:40:48 UTC
I can understand being busy :)

  I am more than willing to try and test the arm32 host. Don't know if they have or will support arm64.

Thanks
Comment 48 Michael 'veremitz' Everitt 2016-10-28 02:47:15 UTC
Got a KVM VM set up for testing, etc now, just need to build a kernel and set up booting. Gradually getting closer ... :]
Comment 49 ta2002 2016-12-24 20:35:48 UTC
Just in time for Christmas, version 1.8.0 is now the current version.
Comment 50 Valentin Marinov 2017-04-29 06:22:04 UTC
I have managed to continue maurerpe's work and get 1.8.2 to build and install. https://github.com/mapmot/arduino-overlay
After installing dev-embedded/arduino-1.8.2, create links to /usr/bin/arduino-builder in /usr/share/arduino, and to /usr/share/arduino-builder/platform* in /usr/share/arduino/hardware.
Comment 51 Michael 'veremitz' Everitt 2017-10-10 23:12:43 UTC
According to https://www.arduino.cc/en/Main/ReleaseNotes latest release is:

ARDUINO 1.8.5 2017.09.29
Comment 52 Valentin Marinov 2017-10-11 11:17:56 UTC
Brand spanking new dev-embedded/arduino-1.8.5 is in https://github.com/mapmot/arduino-overlay
Comment 53 Valentin Marinov 2017-10-11 19:25:21 UTC
Arduino needs:

dev-go/testify
dev-go/go-junit-report
dev-go/errors

>=dev-java/jackson-2.8.8
>=dev-java/jackson-databind-2.8.8
>=dev-java/jackson-annotations-2.8.8
>=dev-java/jackson-module-mrbean-2.8.8

If and when these packages get into portage, I will be willing to proxy maintain

dev-embedded/arduino-builder
dev-embedded/listserialportsc
dev-embedded/arduino

Anybody interested in seeing non-prehistoric versions of Arduino IDE in gentoo can speed up the process by adding a bug with a request for version bump/new package request for the required dev-go/dev-java components.
Comment 54 Steve Arnold archtester gentoo-dev 2017-10-12 18:37:04 UTC
I tried this last night and there are a bunch of java deps that either 1) changed source package contents and thus broke the manifest, or 2) the version has disappeared upstream and doesn't exist (except in fedora package stuff or possibly in the apache commons archive directory).

What is the "proper" way to handle this crazy java stuff without upgrading/fixing packages every other day?  Do we shove source tarballs into distfiles until we bump?  Should we host some source in dev-space somewhere?  This is pretty painful from a maintenance standpoint with newer ardunino; the previous 1.6x releases were a lot less hassle to get working; seems like the bundled java source may not be such a horrible thing in this instance.

Anyway, I have a new fork of this overlay with some fixes and a few extra java things, but I did not include everything that fails now.  Some things can still build from apache archive URI and others just need a manifest update.  So far it's these broken java digests (source tarball changed upstream) or upgrades, some in portage and some in the overlay:

j2objc-annotations-1.2.ebuild
error-prone-annotations-2.0.14.ebuild
animal-sniffer-annotations-1.15.ebuild
guava-20.0.ebuild
commons-compress-1.10.ebuild (tries to download newer version, fails)
commons-lang-3.3.2.ebuild
commons-net-3.2.ebuild
jackson-modules-base-2.8.8.ebuild
arduino-builder-1.3.25.ebuild

So maybe the "right" answer is make this overlay "official" in the layman list of overlays, and the more people we have bumping/fixing manifests on the dependencies, or even host a particular source tarball as needed, the easier it will be to keep up.  Any other/better ideas?
Comment 55 Jonas Stein gentoo-dev 2017-10-12 21:16:12 UTC
In order to make the overlay "official" the overlay owner must be willing to fix bugs. Last time I had a look there were many QA problems in the packages.

Perhaps it is better to cooperate with the maintainer of existing Overlays and get more manpower for the problem
http://gpo.zugaina.org/dev-embedded/arduino-ide (Alexxy for example)
Comment 56 Michael 'veremitz' Everitt 2017-10-12 22:24:58 UTC
I propose a marginally more sustainable solution to the problems that have been highlighted with this package. Because the dependencies have sprawled extensively into two separate additional projects (go and java), I believe it would make sense to consult these projects to see if they could 'adopt' the necessary packages that relate to Arduino. It would be therefore much easier to maintain the core, ide and builder packages either via proxy or in association with the -embedded project. Does this seem reasonable, perhaps?
Comment 57 Valentin Marinov 2017-10-13 07:06:56 UTC
https://github.com/mapmot/arduino-overlay is updated. From the README:

There is no longer a separation into arduino-[core,ide,blah]

To get the IDE, use the java flag (enabled by default)
To get the core, use the arduino-core-xxx flags (only arduino-core-avr available for now, enabled by default)

TODO:

Add aditional cores, via flags, i.e. arduino-core-samd. Needs updated cross-arm-none-eabi-newlib with the nano flag. If anybody has gotten the gentoo newlib working with Arduino, let me know!!!
Comment 58 Valentin Marinov 2017-10-13 07:31:29 UTC
BTW, somebody should link this bug to https://bugs.gentoo.org/147155, since Arduino requires cross-avr/[binutils,gcc,avr-libc] and the OFFICIAL gentoo dev-embedded/arduino ebuild goes as far as recommending
[[ ! -x /usr/bin/avr-g++ ]] && ewarn "Missing avr-g++; you need to crossdev -s4 avr"
At least we are only 2 years away from a 5 year reunnion on the Arduino version bump, as opposed to the 10 year reunion on 147155!
Comment 59 gilhad 2017-10-13 08:32:36 UTC
Would be possible to have just the core parts of arduino, without IDE? Just what is needed to compile/upload the program *.ino? (the arduino standard libraries, boards definitions etc).

IMHO the IDE is terrible small uncomfortable editor responsible for all the java stuff, while there is a lot of peoply (as myself), who prefere to write/compile/upload programs for Arduino from command line using makefiles and editors as of personal choise (vim etc...)

It would allow for easier maintance at least this part (no java/go needed) and help me a lot

Either make new package dev-embedded/arduino-core or introduce flag USE="-ide" or something like that?
Comment 60 Valentin Marinov 2017-10-13 08:47:13 UTC
gilhad, read https://bugs.gentoo.org/525882#c57, two posts above yours! Installing dev-embedded/arduino with the java flag disabled (USE='-java') and dev-embedded/arduino-builder will get you the core files needed to compile programs, without the IDE!
Comment 61 Valentin Marinov 2017-10-13 08:53:17 UTC
You don't actually need arduino-builder, if you are using Makefiles. Just dev-embedded/arduino with java and gnome disabled.
Comment 62 gilhad 2017-10-13 09:57:23 UTC
My bad. I checked only on portage on my computer, not at that github. Thanks for correcting me :)
Comment 63 Valentin Marinov 2017-10-13 10:49:11 UTC
I have just pushed some changes to https://github.com/mapmot/arduino-overlay that make the IDE / java dependencies really and completely optional. While emerging on a new system, I discovered that some sources have changed checksums, just regenerate the manifests until my new system finishes emerging, and I will update the repository accordingly.
Comment 64 Valentin Marinov 2017-10-19 08:29:18 UTC
I have updated https://github.com/mapmot/arduino-overlay
After keywording the required packages from portage for arm, it should install anf work on arm32. I am using it on a Samsung ARM Chromebook 3.
Comment 65 Steve Arnold archtester gentoo-dev 2017-10-25 02:07:48 UTC
Okay, it seems like only one cross-avr toolchain can be installed at a time without breaking arduino builds, so caveat emptor...

Anyway, the latest (git) crossdev has some avr-specific tweaks for cxx and a few other things that should help, and tested good with arduino-1.8.5 are the following combinations:

If you need older for whatever reason, gcc 5.4.0-r3, binutils 2.27-r1, avr-libc 2.0.0

Otherwise, use latest, gcc 6.4.0, binutils 2.29.1-r1, avr-libc 2.0.0

Once you update your environment, it works with arduino IDE and basic Makefile (using only the hardware tree).  Just about to push clean-ups to arduino-overlay fork if anyone wants to test.

To avoid overlay issues, disable layman/other overlays first, then make the directory where you want the crossdev (output) overlay, say /usr/local/avr.  Use this command and it should build clean and work with latest arduino (uses -flto).

PORTDIR_OVERLAY="/usr/local/avr"
  USE="-nls -openmp -pch -sanitize -vtv" \
  crossdev -t avr -s4 --without-headers
Comment 66 Valentin Marinov 2017-10-25 06:29:03 UTC
I am using crossdev in portage, crossdev-20160602 and latest binutils, gcc, avr-libc. Here are the USE flags:

[ebuild   R    ] cross-avr/avr-libc-2.0.0::crossdev  USE="-doc" 0 KiB
[ebuild   R    ] cross-avr/binutils-2.29.1-r1:2.29.1::crossdev  USE="cxx nls -multitarget -static-libs {-test} -vanilla" 0 KiB
[ebuild   R   *] cross-avr/gcc-7.2.0:7.2.0::crossdev  USE="cxx multilib nls nptl pch (-altivec) -awt -cilk -debug -doc (-fixed-point) -fortran -gcj -go -graphite -hardened -jit -libssp -mpx -objc -objc++ -objc-gc -openmp -pgo -pie -regression-test -sanitize -ssp -vanilla -vtv" 0 KiB

I.e. Steve's command line above would look like this:

USE="-openmp -pie -sanitize -ssp -vtv" \
  crossdev -t avr -s3 --without-headers

You will need the binutils patch from https://147155.bugs.gentoo.org/attachment.cgi?id=402016 in /etc/portage/patches/cross-avr/binutils

Out of curiosity, does anyone still use Gnome 2? Repoman nags about gnome2_icon_cache_update, but on my system with Gnome 3, this just fails with file not found.
Comment 67 bdouxx 2017-11-06 21:04:02 UTC
Hi

I have a missing dependencies: dev-java/batik:1.8



# emerge -p dev-embedded/arduino

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] dev-embedded/uisp-20050207-r1 
[ebuild  N    ~] sys-devel/crossdev-20160602-r1 
[ebuild  N     ] dev-embedded/avrdude-6.3  USE="ncurses readline -doc -ftdi" 
[ebuild  N     ] dev-java/rxtx-2.2_pre2  USE="-doc -lfd -source" 
[ebuild  N    ~] dev-embedded/arduino-1.0.5-r2  USE="-doc -examples" 

!!! The following update has been skipped due to unsatisfied dependencies:

dev-embedded/arduino:0

  selected: (dev-embedded/arduino-1.0.5-r2:0/0::gentoo, ebuild scheduled for merge)
  skipped: (dev-embedded/arduino-1.8.5:0/0::arduino-overlay, ebuild scheduled for merge) (see unsatisfied dependency below)

emerge: there are no ebuilds to satisfy "dev-java/batik:1.8".
(dependency required by "dev-embedded/arduino-1.8.5::arduino-overlay[java]" [ebuild])


# eix -sa dev-java/batik
* dev-java/batik
     Available versions:  (1.9) 1.9
       {doc python tcl ELIBC="FreeBSD"}
     Homepage:            https://xmlgraphics.apache.org/batik/
     Description:         Java based SVG toolkit
Comment 68 Valentin Marinov 2017-11-07 09:55:12 UTC
dev-java/batik-1.8-r3 temporarily added to https://github.com/mapmot/arduino-overlay until I test with batik-1.9.
Comment 69 Valentin Marinov 2017-11-07 17:28:52 UTC
Note: I don't use layman.

But, thanks to smellyfis on github:

smellyfis commented 18 minutes ago
so that you can follow the layman wiki and it matches the example, no need to manually change confs

layman -o https://raw.github.com/mapmot/arduino-overlay/master/repositories.xml -f -a arduino-overlay
Comment 70 Dennis Schridde 2017-12-17 13:46:08 UTC
Regarding the version bump from 1.0.5 to 1.0.6 [1] (i.e. still the Classic Arduino SDK, which seems arguably a lot smaller and easier than the bump to >=1.5), I created bug #641466, to distinguish it from this bump request to 1.8.5 [2].

[1]: https://www.arduino.cc/en/Main/ReleaseNotes#v1.0.6
[2]: https://www.arduino.cc/en/Main/ReleaseNotes#v1.8.5
Comment 71 Valentin Marinov 2017-12-18 20:14:32 UTC
A very interesting read:

https://blog.arduino.cc/2017/10/11/be-among-the-first-to-try-arduino-ide-1-9-beta

"The other is arduino-preprocessor, which supersedes ctags in the sketch preprocessing phase. Moving to a different tool has been a necessary step for many reasons, the most important being the ctags’ limited parsing of complex C++ sketches."

"AVR core has been moved to its own repo."

I guess the logical step would be to split the package into:

dev-embedded/arduino: Just the java IDE
dev-embedded/arduino-hardware with use flags xxx,yyy,zzz
dev-embedded/arduino-core-xxx
dev-embedded/arduino-core-yyy
dev-embedded/arduino-core-zzz

modelled after gstreamer, gst-plugins-meta and gst-plugin-xxx
Comment 72 Michael 'veremitz' Everitt 2017-12-18 20:36:55 UTC
^ This sounds proper scary.

I thought we just moved from multiple packages back to one....

Perhaps you can explain what variants (and indeed how many) you would anticipate for arduino-core .. and whether a point would be likely be reached where a separate dev-arduino package category might become necessary for every different board architecture ...
Comment 73 Valentin Marinov 2017-12-18 21:36:55 UTC
Well, the Arduino 1.8.5 Board Manager lists:
AVR
SAM
SAMD
STM32F4
nRF52
Intel i586
Intel i686
Intel Curie
Atmel AVR Xplained-minis
littleBits Arduino AVR Modules
Windows 10 Iot Core
Arrow Boards
EMORO 2560
Industruino SAMD

This is 14 so far.

I have just merged support for something called an Udoo from sarnold:
https://github.com/mapmot/arduino-overlay/pull/10

Then there is for instance MightyCore (https://github.com/MCUdude/MightyCore) that I use with my 3d printer.
Comment 74 gilhad 2017-12-19 15:29:06 UTC
Also there are other cores, like 
https://github.com/rogerclarkmelbourne/Arduino_STM32 for Blue Pill (and others different STM32F* boards not suported directly by Arduino/genduino ) and others. So it would be possible later add these too in some way (or made them easy to add at least)

(Not proposing or objecting the split itself, just saying, there are also other popular boards and their cores in source form aplicable with Arduino IDE, but not supported (nor banned) directly by Arduino company)
Comment 75 Virgil Dupras (RETIRED) gentoo-dev 2018-02-12 20:52:05 UTC
Based on maurerpe's fine work, I took a stab at this long overdue bump. I focused on simplicity rather than intensive unbundling and tried to make this big bump as easy to review as possible so that we can eventually merge something.

https://github.com/gentoo/gentoo/pull/7166

Let's hope that this time is the right one!
Comment 76 Larry the Git Cow gentoo-dev 2018-03-06 19:59:34 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=680fcc66df3489c5a3c2b5adf848c36200f6693a

commit 680fcc66df3489c5a3c2b5adf848c36200f6693a
Author:     Virgil Dupras <hsoft@hardcoded.net>
AuthorDate: 2018-02-12 20:34:17 +0000
Commit:     Amy Liffey <amynka@gentoo.org>
CommitDate: 2018-03-06 19:58:56 +0000

    dev-embedded/arduino: bump to 1.8.5
    
    This is a major rewrite for a major bump. As we can see in the bug
    referred below, a *lot* of work can be poured into this ebuild but we
    can also see that having too large a scope makes us never bump. Thus, I
    opted for a bump that didn't widen the scope of the v1.0.5 ebuild. We
    can always improve upon this ebuild later.
    
    This work is strongly inspired by maurerpe's fine work at
    https://github.com/maurerpe/arduino-overlay/tree/master/dev-embedded/arduino-ide
    but I scaled down the unbundling effort for simplicity's sake.
    
    Closes: https://bugs.gentoo.org/525882
    Closes: https://github.com/gentoo/gentoo/pull/7166
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-embedded/arduino/Manifest                      |  19 +++
 dev-embedded/arduino/arduino-1.8.5.ebuild          | 166 +++++++++++++++++++++
 .../files/arduino-1.8.5-avr-platform.txt.patch     |  26 ++++
 .../arduino/files/arduino-1.8.5-build.xml.patch    |  31 ++++
 .../arduino/files/arduino-1.8.5-lib-loading.patch  |  26 ++++
 dev-embedded/arduino/metadata.xml                  |   5 +-
 6 files changed, 272 insertions(+), 1 deletion(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=61cff161fa98ab1bbca7a7537099105ce510be2d

commit 61cff161fa98ab1bbca7a7537099105ce510be2d
Author:     Virgil Dupras <hsoft@hardcoded.net>
AuthorDate: 2018-02-12 20:27:05 +0000
Commit:     Amy Liffey <amynka@gentoo.org>
CommitDate: 2018-03-06 19:58:53 +0000

    dev-embedded/arduino-listserialportsc: add package
    
    Needed for bumping dev-embedded/arduino to 1.8.5.
    
    Mostly snatched from maurerpe's fine work at
    https://github.com/maurerpe/arduino-overlay/blob/master/dev-embedded/listserialportsc
    
    Bug: https://bugs.gentoo.org/525882
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-embedded/arduino-listserialportsc/Manifest     |  1 +
 .../arduino-listserialportsc-1.4.0.ebuild          | 41 ++++++++++++++++++++++
 dev-embedded/arduino-listserialportsc/metadata.xml | 11 ++++++
 3 files changed, 53 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6f7c88534233109f8f50dab0fbdc6adb5ae8add0

commit 6f7c88534233109f8f50dab0fbdc6adb5ae8add0
Author:     Virgil Dupras <hsoft@hardcoded.net>
AuthorDate: 2018-02-12 20:23:28 +0000
Commit:     Amy Liffey <amynka@gentoo.org>
CommitDate: 2018-03-06 19:58:49 +0000

    dev-embedded/arduino-builder: add package
    
    This package is needed for the bump to dev-embedded/arduino to 1.8.5.
    
    Mostly based on maurerpe's fine work at
    https://github.com/maurerpe/arduino-overlay/tree/master/dev-embedded/arduino-builder
    but with a "vendor" approach to golang dependencies.
    
    Bug: https://bugs.gentoo.org/525882
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-embedded/arduino-builder/Manifest              |  4 ++
 .../arduino-builder/arduino-builder-1.3.25.ebuild  | 79 ++++++++++++++++++++++
 .../arduino-builder-1.3.25-platform-paths.patch    | 19 ++++++
 dev-embedded/arduino-builder/metadata.xml          | 11 +++
 4 files changed, 113 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bfad65bf874204c009b6efa52548bdd8c12b3f30

commit bfad65bf874204c009b6efa52548bdd8c12b3f30
Author:     Virgil Dupras <hsoft@hardcoded.net>
AuthorDate: 2018-02-12 20:14:28 +0000
Commit:     Amy Liffey <amynka@gentoo.org>
CommitDate: 2018-03-06 19:58:46 +0000

    dev-embedded/arduino-ctags: new package
    
    This package is needed for the bump of dev-embedded/arduino to 1.8.5. It
    uses its own private fork of ctags and when using dev-util/ctags,
    arduino produces non-functioning executables.
    
    Bug: https://bugs.gentoo.org/525882
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-embedded/arduino-ctags/Manifest                |  1 +
 .../arduino-ctags/arduino-ctags-20161123.ebuild    | 30 ++++++++++++++++++++++
 dev-embedded/arduino-ctags/metadata.xml            | 17 ++++++++++++
 3 files changed, 48 insertions(+)}